package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.CustQtyByTimeChartDataModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesShippingKanbanCfgModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesShippingKanbanModel;

import java.util.List;

public interface IMesShippingKanbanCfgService {
    MesShippingKanbanCfgModel queryShippingKanbanCfg(String organizeCode, String shippingGroupCode);
    void doSaveShippingKanbanCfg(MesShippingKanbanCfgModel request, String organizeCode, String username);
    MesShippingKanbanModel queryShippingKanbanContext(String organizeCode, String shippingGroupCode);
    List<CustQtyByTimeChartDataModel> queryCustQtyByTimeChartData(String organizeCode, String shippingGroupCode);
    void doCreateCustQtyByTime(String organizeCode, String username);
}
